WATCH(1)

NAZWA
watch - regularne uruchamianie programu z wyświetlaniem wyjścia na pełnym ekranie

SKŁADNIA
watch [opcje] polecenie

OPIS
watch runs command repeatedly, displaying its output and errors (the first screenfull). This allows you to watch the program output change over time. By default, command is run every 2 seconds and watch will run until interrupted.

OPCJE

-d, --differences [trwale]
    Podświetlanie różnic między kolejnymi uaktualnieniami. Opcja może mieć opcjonalny argument, który zmienia podświetlenie na trwałe, pozwalające zobaczyć, co zmieniło się przynajmniej raz od pierwszej iteracji.

-n, --interval sekundy
    Specify update interval. The command will not allow quicker than 0.1 second interval, in which the smaller values are converted. Both '.' and ',' work for any locales.

-p, --precise
    Próba uruchamiania polecenia co podaną liczbę sekund. Można wypróbować tę opcję z poleceniem ntptime i obserwować, jak ułamki sekund pozostają (prawie) takie same, w przeciwieństwie do trybu zwykłego, gdzie stale się zwiększają.

-t, --no-title
    Wyłączenie nagłówka pokazującego okres, polecenie oraz czas bieżący na górze ekranu, a także następującej po nim pustej linii.

-b, --beep
    Sygnał dźwiękowy w przypadku niezerowego kodu wyjścia polecenia.

-e, --errexit
    Zamrożenie uaktualnień po błędzie polecenia, zakończenie pracy po naciśnięciu klawisza.

-g, --chgexit
    Zakończenie, gdy wyjście polecenia się zmieni.

-c, --color
    Interpretowanie sekwencji kolorów i stylów ANSI

-x, --exec
    Pass command to exec(2) instead of sh -c which reduces the need to use extra quoting to get the desired effect.

-h, --help
    Wyświetlenie tekstu pomocy i zakończenie.

-v, --version
    Wyświetlenie informacji o wersji i zakończenie.

KOD WYJŚCIA

    0   Sukces.
    1   Różne niepowodzenia.
    2   Nie udało się odgałęzić procesu do obserwacji.
    3   Nie udało się zastąpić standardowego wyjścia procesu potomnego stroną piszącą potoku.
    4   Nie udało się uruchomić polecenia.
    5   Nie udało się zamknąć potoku piszącego procesu potomnego.
    7   Nie udało się utworzyć potoku IPC.
    8   Nie udało się uzyskać kodu powrotu procesu potomnego przez waitpid(2) lub polecenie zakończyło się błędem.
    inne
        Program watch propaguje kod wyjścia polecenia jako kod wyjścia potomka.

UWAGI
POSIX option processing is used (i.e., option processing stops at the first non-option argument). This means that flags after command don't get interpreted by watch itself.

BŁĘDY
Przy zmianie rozmiaru terminala ekran nie zostanie poprawnie odrysowany aż do następnego uaktualnienia. Przy tym uaktualnieniu wszystkie podświetlenia --differences zostaną utracone. Znaki niedrukowalne są usuwane z wyjścia programu. Aby je zobaczyć, można użyć "cat -v" jako części potoku polecenia. Znaki dołączane, które mają być wyświetlane na znaku w ostatniej kolumnie ekranu, mogą wyświetlać się o jedną kolumnę za wcześnie albo wcale. Znaki dołączane nigdy nie liczą się jako różne w trybie --differences. Liczy się tylko znak podstawowy. Puste wiersze bezpośrednio po wierszu kończącym się w ostatniej kolumnie, nie są wyświetlane. Tryb --precise nie ma jeszcze zaawansowanej technologii zakrzywienia czasoprzestrzeni w celu skompensowania przypadku wykonywania polecenia dłużej niż okres. watch może też wejść w stan, w którym szybko uruchamia wiele instancji polecenia, aby dogonić poprzednie działające więcej niż okres (np. netstat trwający wieki przez wyszukiwania DNS).

PRZYKŁADY
Aby obserwować pocztę, można wykonać
    watch -n 60 from
Aby obserwować zmiany zawartości katalogu, można użyć
    watch -d ls -l
Jeżeli interesujące są tylko pliki, których właścicielem jest użytkownik joe, można użyć
    watch -d 'ls -l | fgrep joe'
Aby zobaczyć efekty cytowania, można wypróbować
    watch echo $$
    watch echo '$$'
    watch echo "'"'$$'"'"
Aby zobaczyć efekt precyzyjnej obsługi czasu, można spróbować dodać -p do
    watch -n 10 sleep 1
Można obserwować, jak administrator instaluje najnowsze jądro, przy użyciu
    watch uname -r
(Uwaga: -p nie daje gwarancji działania między restartami systemu, szczególnie w obliczu ntpdate czy innych mechanizmów zmieniających czas w trakcie rozruchu)